Summary:    A lean, fast, powerful xterm/console text editor
Name:       ve
Version:    3.5g
Release:    1
Copyright:  GPL
Group:      Editors
Source0:    %{name}-%{version}.tar.bz2
#Patch0:        
URL:        http://www.campbellware.com
Distribution:   Yoper
#Icon:      yoperlogo.xpm
Vendor:     CampbellWare
Packager:   support@campbellware.com
#Provides:
#Requires:
#AutoReqProv:   no
#BuildRoot:  %{_tmppath}/%{name}-buildroot
BuildRoot:  /usr/src/yoper/BUILD/ve-3.5g

BuildRequires: bash, binutils, gcc, glibc, ncurses, make, tar, zlib, glibc


%define _unpackaged_files_terminate_build       0
%define _missing_doc_files_terminate_build      1
%define _smp_mflags -j8
%define _target_platform i686-pc-linux-gnu



%description
VE  (Visual Editor) is a lean, fast, powerful ncurses-based text editor.
VE  supports  all  the  expected  text  editing functions, plus advanced
features   such   as   rectangle  support,  strong  multi-file  support,
interactive  macros  and  left  and right scrolling for files with lines
larger  than  the  display/xterm VE packs all of this into an incredibly
small  69K  executable.  VE comes with a full user manual and a complete
source  tree,  and  is  distributed  under  the  terms of the GNU Public
License. Visit www.campbellware.com for the latest release of VE. 


%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}
mkdir %{buildroot}

%setup -q

#%patch

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \


%build
make


%install
make install

mkdir %{buildroot}/usr
mkdir %{buildroot}/usr/local
mkdir %{buildroot}/usr/local/bin

mkdir %{buildroot}/usr/share
mkdir %{buildroot}/usr/share/doc
mkdir %{buildroot}/usr/share/doc/ve

cp /usr/local/bin/ve %{buildroot}/usr/local/bin
cp /usr/share/doc/ve/* %{buildroot}/usr/share/doc/ve

%clean
make clean
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
/usr/local/bin/ve
/usr/share/doc/ve/ve-3.5g-user-manual.sxw

